#
# spec file for package miller
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           miller
Version:        5.1.0
Release:        1.1
Summary:        Name-indexed data processing tool
License:        BSD-2-Clause
Group:          Productivity/File utilities
Url:            http://johnkerl.org/miller/doc
Source0:        https://github.com/johnkerl/miller/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  automake
BuildRequires:  flex >= 2.5.35
BuildRequires:  libtool
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Miller (mlr) allows name-indexed data such as CSV and JSON files to be
processed with functions equivalent to sed, awk, cut, join, sort etc. It can
convert between formats, preserves headers when sorting or reversing, and
streams data where possible so its memory requirements stay small. It works
well with pipes and can feed "tail -f".

%prep
%setup -q
%if 0%{?suse_version} >= 1320
%ifarch %ix86
sed -e 's/-pg//' -i c/Makefile.am
%endif
%endif

%build
autoreconf -fi
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc LICENSE.txt README.md
%{_bindir}/mlr
%{_mandir}/man1/mlr.1%{ext_man}

%changelog
* Sat Apr 15 2017 aloisio@gmx.com
- Update to 5.1.0 (see changelog at
  https://github.com/johnkerl/miller/releases/tag/v5.1.0)
* Sun Mar 12 2017 aloisio@gmx.com
- Update to version 5.0.1
  Minor bugfixes:
  * As described in #132, mlr nest was incorrectly splitting
    fields with multi-character separators.
  * The XTAB-format reader, when using multi-character IPS,
    was incorrectly splitting key-value pairs, but only when
    reading from standard input (e.g. on a pipe or less-than
    redirect).
* Tue Feb 28 2017 aloisio@gmx.com
- Initial package (v5.0.0)
